EBook::Ishmael::TextBrowserDump(3)

NAME
EBook::Ishmael::TextBrowserDump - Format HTML via text web browsers

SYNOPSIS
  use EBook::Ishmael::TextBrowserDump;

  my $dump = browser_dump($file);

DESCRIPTION
EBook::Ishmael::TextBrowserDump is a module for dumping the contents of HTML files to formatted text, via text web browsers like lynx(1). For ishmael user documentation, you should consult its manual (this is developer documentation).

EBook::Ishmael::TextBrowserDump requires at least one of the following programs to be installed:

elinks(1)
links(1)
lynx(1)
w3m(1)
chawan
queequeg(1)

SUBROUTINES

  $dump = browser_dump($file, $opt_ref)
Subroutine that dumps the formatted text contents of $file via a text web browser.

"browser_dump()" can also be given a hash ref of options.

browser
    The specific browser you would like to use for the dumping. See above for a list of valid browsers. If not specified, defaults to the first browser "browser_dump()" finds installed on your system.

xhtml
    Bool specifying whether the input file is XHTML or not. Defaults to 0.

width
    Specify the width of the formatted text. Defaults to 80.

GLOBAL VARIABLES

  $EBook::Ishmael::TextBrowserDump::CAN_DUMP
Bool stating whether this module is able to dump or not (is a valid text browser installed or not).

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg Page <https://codeberg.org/1-1sam/ishmael>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
queequeg(1), elinks(1), links(1), lynx(1), w3m(1), cha(1)